summaryrefslogtreecommitdiffstats
path: root/make/scripts
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-05-05 17:28:52 +0200
committerSven Gothel <[email protected]>2010-05-05 17:28:52 +0200
commitedbff99164a350a0147a5c8617cef9a86f7a2749 (patch)
treea48c713783c7692a6894090eac7444b47aa0c6d6 /make/scripts
parent9300b0615f554f5904c93d757e4a9edbd1897538 (diff)
Cleanup: Move scripts into their folder
Diffstat (limited to 'make/scripts')
-rw-r--r--make/scripts/make.gluegen.all.linux-x86.sh16
-rw-r--r--make/scripts/make.gluegen.all.linux-x86_64.sh14
-rw-r--r--make/scripts/make.gluegen.all.macosx.sh11
-rw-r--r--make/scripts/make.gluegen.all.win32.bat17
-rw-r--r--make/scripts/runtest-cvm.bat8
-rw-r--r--make/scripts/runtest-cvm.sh19
-rw-r--r--make/scripts/runtest.sh16
7 files changed, 101 insertions, 0 deletions
diff --git a/make/scripts/make.gluegen.all.linux-x86.sh b/make/scripts/make.gluegen.all.linux-x86.sh
new file mode 100644
index 0000000..ef81f0e
--- /dev/null
+++ b/make/scripts/make.gluegen.all.linux-x86.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+. ../../setenv-build-jogl-x86.sh
+
+# -Dc.compiler.debug=true
+# -Dgluegen.cpptasks.detected.os=true \
+# -DisUnix=true \
+# -DisLinux=true \
+# -DisLinuxX86=true \
+# -DisX11=true \
+
+ant \
+ -Dgluegen-cpptasks.file=`pwd`/lib/gluegen-cpptasks-linux-32bit.xml \
+ -Drootrel.build=build-x86 \
+ -Dos.arch=x86 \
+ $* 2>&1 | tee make.gluegen.all.linux-x86.log
diff --git a/make/scripts/make.gluegen.all.linux-x86_64.sh b/make/scripts/make.gluegen.all.linux-x86_64.sh
new file mode 100644
index 0000000..98ef4ed
--- /dev/null
+++ b/make/scripts/make.gluegen.all.linux-x86_64.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+. ../../setenv-build-jogl-x86_64.sh
+
+# -Dc.compiler.debug=true
+# -Dgluegen.cpptasks.detected.os=true \
+# -DisUnix=true \
+# -DisLinux=true \
+# -DisLinuxAMD64=true \
+# -DisX11=true \
+
+ant \
+ -Drootrel.build=build-x86_64 \
+ $* 2>&1 | tee make.gluegen.all.linux-x86_64.log
diff --git a/make/scripts/make.gluegen.all.macosx.sh b/make/scripts/make.gluegen.all.macosx.sh
new file mode 100644
index 0000000..1078cec
--- /dev/null
+++ b/make/scripts/make.gluegen.all.macosx.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+if [ -e /devtools/etc/profile.ant ] ; then
+ . /devtools/etc/profile.ant
+fi
+
+# -Dc.compiler.debug=true
+
+ant -v \
+ -Drootrel.build=build-macosx \
+ $* 2>&1 | tee make.gluegen.all.macosx.log
diff --git a/make/scripts/make.gluegen.all.win32.bat b/make/scripts/make.gluegen.all.win32.bat
new file mode 100644
index 0000000..b8eb656
--- /dev/null
+++ b/make/scripts/make.gluegen.all.win32.bat
@@ -0,0 +1,17 @@
+set THISDIR="C:\JOGL"
+
+set J2RE_HOME=c:\jre1.6.0_19
+set JAVA_HOME=c:\jdk1.6.0_19
+set ANT_PATH=C:\apache-ant-1.8.0
+
+set PATH=%JAVA_HOME%\bin;%ANT_PATH%\bin;c:\mingw\bin;%PATH%
+
+set LIB_GEN=%THISDIR%\lib
+set CLASSPATH=.;%THISDIR%\build-win32\classes
+REM -Dc.compiler.debug=true
+REM -DuseOpenMAX=true
+REM -DuseKD=true
+REM -Djogl.cg=1 -D-Dwindows.cg.lib=C:\Cg-2.2
+
+ant -Drootrel.build=build-win32 %1 %2 %3 %4 %5 %6 %7 %8 %9 > make.gluegen.all.win32.log 2>&1
+
diff --git a/make/scripts/runtest-cvm.bat b/make/scripts/runtest-cvm.bat
new file mode 100644
index 0000000..c0747d2
--- /dev/null
+++ b/make/scripts/runtest-cvm.bat
@@ -0,0 +1,8 @@
+set CVM_HOME=c:\cvm
+
+set JAR_DIR=jogl\lib
+set LIB_DIR=jogl\lib
+
+%CVM_HOME%\bin\cvm "-Djava.awt.headless=true" "-Dsun.boot.library.path=%LIB_DIR%" "-Xbootclasspath/a:gluegen\classes-cdc" com.jogamp.gluegen.test.TestPointerBufferEndian
+%CVM_HOME%\bin\cvm "-Djava.awt.headless=true" "-Dsun.boot.library.path=%LIB_DIR%" "-Xbootclasspath/a:gluegen\classes-cdc" com.jogamp.gluegen.test.TestStructAccessorEndian
+
diff --git a/make/scripts/runtest-cvm.sh b/make/scripts/runtest-cvm.sh
new file mode 100644
index 0000000..0b29c07
--- /dev/null
+++ b/make/scripts/runtest-cvm.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+CVM=$1
+shift
+
+builddir=$1
+shift
+
+if [ ! -x "$CVM" -o -z "$builddir" ] ; then
+ echo Usage $0 CVM-Binary build-dir
+ exit 1
+fi
+
+echo com.jogamp.gluegen.test.TestPointerBufferEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.jogamp.gluegen.test.TestPointerBufferEndian
+echo
+echo com.jogamp.gluegen.test.TestStructAccessorEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.jogamp.gluegen.test.TestStructAccessorEndian
+echo
diff --git a/make/scripts/runtest.sh b/make/scripts/runtest.sh
new file mode 100644
index 0000000..427f4f3
--- /dev/null
+++ b/make/scripts/runtest.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+builddir=$1
+shift
+
+if [ -z "$builddir" ] ; then
+ echo Usage $0 build-dir
+ exit 1
+fi
+
+echo com.jogamp.gluegen.test.TestPointerBufferEndian
+java -Djava.library.path=$builddir/obj -classpath $builddir/classes com.jogamp.gluegen.test.TestPointerBufferEndian
+echo
+echo com.jogamp.gluegen.test.TestStructAccessorEndian
+java -Djava.library.path=$builddir/obj -classpath $builddir/classes com.jogamp.gluegen.test.TestStructAccessorEndian
+echo